import { InstallContext } from '../api/install';
import { Package } from '../types';
import { Got } from '../network/got';
import { ResolvedDependencies } from '../fs/shrinkwrap';
import { Resolution, PackageSpec, PackageMeta } from '../resolve';
export declare type InstalledPackage = {
    id: string;
    isInstallable: boolean;
    resolution: Resolution;
    pkg: Package;
    srcPath?: string;
    optional: boolean;
    dependencies: string[];
    fetchingFiles: Promise<Boolean>;
    path: string;
    specRaw: string;
};
export default function installAll(ctx: InstallContext, specs: PackageSpec[], optionalDependencies: string[], options: {
    force: boolean;
    root: string;
    storePath: string;
    localRegistry: string;
    registry: string;
    metaCache: Map<string, PackageMeta>;
    got: Got;
    keypath?: string[];
    resolvedDependencies?: ResolvedDependencies;
    depth: number;
    engineStrict: boolean;
    nodeVersion: string;
    offline: boolean;
    isInstallable?: boolean;
    rawNpmConfig: Object;
}): Promise<InstalledPackage[]>;
