import { InstalledPackage } from '../install/installMultiple';
import { InstalledPackages } from '../api/install';
import { Dependencies } from '../types';
import { DependencyTreeNodeMap } from './resolvePeers';
export declare type LinkedPackage = {
    id: string;
    name: string;
    version: string;
    peerDependencies: Dependencies;
    hasBundledDependencies: boolean;
    localLocation: string;
    path: string;
    fetchingFiles: Promise<boolean>;
    dependencies: string[];
};
export declare type LinkedPackagesMap = {
    [id: string]: LinkedPackage;
};
export default function (topPkgs: InstalledPackage[], installedPkgs: InstalledPackages, opts: {
    force: boolean;
    global: boolean;
    baseNodeModules: string;
}): Promise<DependencyTreeNodeMap>;
