export declare type RequestParams = {
    auth?: {
        token: string;
    } | {
        username: string;
        password: string;
    };
};
export declare type HttpResponse = {
    body: string;
};
export declare type Got = {
    download(url: string, saveto: string, opts: {
        onStart?: () => void;
        onProgress?: (downloaded: number, totalSize: number) => void;
        shasum?: string;
    }): Promise<void>;
    getJSON<T>(url: string): Promise<T>;
};
export declare type NpmRegistryClient = {
    get: Function;
    fetch: Function;
};
declare var _default: (client: NpmRegistryClient, opts: {
    networkConcurrency: number;
    rawNpmConfig: Object;
}) => Got;
export default _default;
