"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const readPkg_1 = require("./fs/readPkg");
const writePkg = require("write-pkg");
function save(pkgJsonPath, packageSpecs, saveType) {
    return __awaiter(this, void 0, void 0, function* () {
        // Read the latest version of package.json to avoid accidental overwriting
        const packageJson = yield readPkg_1.ignoreCache(pkgJsonPath);
        packageJson[saveType] = packageJson[saveType] || {};
        packageSpecs.forEach(dependency => {
            packageJson[saveType][dependency.name] = dependency.saveSpec;
        });
        yield writePkg(pkgJsonPath, packageJson);
        return packageJson;
    });
}
exports.default = save;
//# sourceMappingURL=save.js.map